# Install required packages (uncomment if needed)
#install.packages(c("haven", "tidyverse", "psych", "multcomp", "TeachingDemos"))

# Load required libraries
library(haven) #to read in .dta (Stata) files
library(tidyverse) #for data manipulation
library(psych) #to describe data
library(multcomp) #for glht
library(TeachingDemos) #for txtStart

# Set working directory
#setwd("~/Dropbox/ali/replications/chapter6_application1")
setwd("C:/Users/alikagalwala/Dropbox/ali/replications/chapter6_application1")

txtStart("feminism_collectdata_R.txt")

#---- Load in data ----
data <- read_dta('anes2016_small.dta')

# ---- Get just age variable for college uneducated ----

#----	Create dummy for college education, BA and up	----
data$college_educated <- ifelse(data$education > 12, 1, 0)
table(data$college_educated)
      
data <- data %>%
  filter(!is.na(age) & college_educated == 0) %>%
  dplyr::select(age) %>%
  filter(age != 90)

write_csv(data, 'age_uneducated_R.csv')


#----	Get just age variable for college educated ----
data <- read_dta('anes2016_small.dta')

#----	Create dummy for college education, BA and up	----
data$college_educated <- ifelse(data$education > 12, 1, 0)
table(data$college_educated)

data <- data %>%
  filter(!is.na(age) & college_educated == 1) %>%
  dplyr::select(age) %>%
  filter(age != 90)

write_csv(data, 'age_educated_R.csv')

txtStop()

